### Function

# GLib Date new_julian

#### Declaration [src]

    GDate*
    g_date_new_julian (
      guint32 julian_day
    )

#### Description [src]

Create a new `GDate` representing the given Julian date.

The `julian_day` you pass in must be valid. Use `g_date_valid_julian()` if needed to validate it. The returned `GDate` is guaranteed to be non-`NULL` and valid.

#### Parameters

`julian_day`

  Type: `guint32`

  Days since January 1, Year 1.

#### Return value

Type: `GDate`

A newly-allocated `GDate` initialized with `julian_day`.

The caller of the function takes ownership of the data, and is responsible for freeing it.